Fakultas Ilmu Komputer UI

Commit 69156048 authored by Zafir Rasyidi Taufik's avatar Zafir Rasyidi Taufik
Browse files

[CHORES] Add setup requirements for google signin to work

parent 2ad790c1
......@@ -207,6 +207,8 @@ android {
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation "com.facebook.react:react-native:+" // From node_modules
implementation 'androidx.swiperefreshlayout:swiperefreshlayout:1.0.0'
implementation 'com.google.android.gms:play-services-auth:19.0.0'
if (enableHermes) {
def hermesPath = "../../node_modules/hermes-engine/android/";
......@@ -225,3 +227,4 @@ task copyDownloadableDepsToLibs(type: Copy) {
}
apply from: file("../../node_modules/@react-native-community/cli-platform-android/native_modules.gradle"); applyNativeModulesAppBuildGradle(project)
apply plugin: 'com.google.gms.google-services'
<resources>
<string name="app_name">TBCare</string>
<string name="server_client_id">45481974556-fij3r1d6cvqorf4fm2jph3n5n3gfu5vd.apps.googleusercontent.com</string>
</resources>
......@@ -6,6 +6,7 @@ buildscript {
minSdkVersion = 21
compileSdkVersion = 28
targetSdkVersion = 28
googlePlayServicesAuthVersion = "16.0.1"
}
repositories {
google()
......@@ -13,6 +14,7 @@ buildscript {
}
dependencies {
classpath("com.android.tools.build:gradle:3.4.2")
classpath('com.google.gms:google-services:4.1.0')
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
......
......@@ -3387,6 +3387,11 @@
"resolved": "https://registry.npmjs.org/@react-native-community/masked-view/-/masked-view-0.1.7.tgz",
"integrity": "sha512-9KbP7LTLFz9dx1heURJbO6nuVMdSjDez8znlrUzaB1nUwKVsTTwlKRuHxGUYIIkReLWrJQeCv9tidy+84z2eCw=="
},
"@react-native-google-signin/google-signin": {
"version": "6.0.0",
"resolved": "https://registry.npmjs.org/@react-native-google-signin/google-signin/-/google-signin-6.0.0.tgz",
"integrity": "sha512-xmrrG2muhwmoPy9AdfP+ceLBZtnrXkZwgN/jR5u3xOHadyerJfvD76w2BSmm7zeoiMB1wwSkZkzFSa9+i1BdKA=="
},
"@react-native/assets": {
"version": "1.0.0",
"resolved": "https://registry.npmjs.org/@react-native/assets/-/assets-1.0.0.tgz",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment